clear
load RegressionResultsWomen2b15000Rev2;

% f=min(f,0);
bb=bbcv;
bbcv=bbcv;





b= -0.0132;
bc=[b-1.96*0.0171   b+1.96*0.0171];
bm= -.0776;
bmc=[bm-1.96*0.00540   bm+1.96*0.00540];


% ii=find(f==0);
% b1=min(bb(ii));
% b2=max(bb(ii));
% ii=find(f>cval(:,1));
% a1=min(bb(ii));
% a2=max(bb(ii));


ymin=-8;
ymax=1.7;
xmin=-0.19;
xmax=+0.04;
aa=0.15;


q=plot([b b],[ymin ymax],'b--',...
    [bm bm],[ymin ymax],'b--',...
    [xmin xmax],[0 0],'k',...
    bb,f(:,2)/50,'k',...
    bbcv,cv(:,2)/50,'r',...
    [bmc(1) bmc(2)], [0.5 0.5],'b',...
    [bmc(1) bmc(1)], [0.5-aa 0.5+aa],'b',...
    [bmc(2) bmc(2)], [0.5-aa 0.5+aa],'b',...
    [bc(1) bc(2)], [0.8 0.8],'b',...
    [bc(1) bc(1)], [0.8-aa 0.8+aa],'b',...
    [bc(2) bc(2)], [0.8-aa 0.8+aa],'b',...
    'LineWidth',1.3);
set(q(5),'linewidth',1.8);
set(q(4),'linewidth',1.8);
set(q(3),'linewidth',0.6);

title('Women','FontSize',18);

pos = get(gca, 'Position')  
x1 = (b - min(xlim))/diff(xlim) * pos(3) + pos(1)
y1 = (-7.0 - min(ylim))/diff(ylim) * pos(4) + pos(2)

sma=0.06;
ano1=annotation('textarrow',[0.79 0.76],[0.25 0.25],'Color','blue','String','2-STEP')
ano1.FontSize=10;
ano1.HeadWidth=5;
ano1.HeadLength=5;

pos = get(gca, 'Position')  
x1 = (bm - min(xlim))/diff(xlim) * pos(3) + pos(1)
y1 = (-6.5 - min(ylim))/diff(ylim) * pos(4) + pos(2)

sma=0.06;
ano0=annotation('textarrow',[ (x1+sma/2)+0.05 x1+sma/20+0.05],[0.28 0.28],'Color','blue','String','MLE')
ano0.FontSize=10;
ano0.HeadWidth=5;
ano0.HeadLength=5;

pos = get(gca, 'Position')  
x1 = (-0.0799 - min(xlim))/diff(xlim) * pos(3) + pos(1)
y1 = (-1 - min(ylim))/diff(ylim) * pos(4) + pos(2)

sma=0.06;
ano2=annotation('textarrow',[ 0.38 0.33],[0.55 0.55],'Color','black','String','Objective Function')
ano2.FontSize=10;
ano2.HeadWidth=5;
ano2.HeadLength=5;


pos = get(gca, 'Position')  
x1 = (-0.058 - min(xlim))/diff(xlim) * pos(3) + pos(1)
y1 = (-2 - min(ylim))/diff(ylim) * pos(4) + pos(2)

sma=0.06;
ano3=annotation('textarrow',[ 0.78 0.73],[0.7 0.7],'Color','red','String','Critical Value')
ano3.FontSize=10;
ano3.HeadWidth=5;
ano3.HeadLength=5;

% text((xmin+xmax)/2, 2.5, 'Men', ...
%   'VerticalAlignment', 'bottom', ...
%   'HorizontalAlignment', 'center',...
%   'FontSize',14);

hXL=xlabel('b_1','fontsize',14);
hYL=ylabel('Q_n(b_1)','fontsize',14);

set(gca, 'box', 'off')
% set(gca,'ytick',[])
set(gca,'PlotBoxAspectRatio',[1.6 1 1])




ax = gca;
outerpos = ax.OuterPosition;
ti = 2*ax.TightInset; 
left = outerpos(1) + ti(1);
bottom = outerpos(2) + ti(2);
ax_width = outerpos(3) - ti(1) - ti(3);
ax_height = outerpos(4) - ti(2) - ti(4);
ax.Position = [left bottom ax_width ax_height];
% set(get(gca,'Ylabel'),'Rotation',0)

fig = gcf;
fig.PaperPositionMode = 'auto'
fig_pos = fig.PaperPosition;
fig.PaperSize = [fig_pos(3) fig_pos(4)];

 saveas(gcf,'X:\research\Hu\Hu11\Draft\Revision2\Figures\RegressionGraphWomen2b2.png')