load dat_MEN;
load('datnames_MEN.mat');
addpath('Routines')

selvars={'year' 'less_7' 'hs'};
x=getvariables(dat,datnames,selvars);
ii=(x(:,1)>2002)&(x(:,2)==0)&(x(:,3)==1);
dat=dat(ii,:);

ynames={'wage_real'};
dnames={'wagesmpl'};
xnames={'mexican' };

x=getvariables(dat,datnames,xnames);
y=getvariables(dat,datnames,ynames);
d=getvariables(dat,datnames,dnames);

% x=dat(:,1);
% d=dat(:,2);
% y=dat(:,3);
% d=(y>0);


p1=mean(d(x==1));
p0=mean(d(x==0));

pts=(40:180)/40;
ii=(x==1).*(d==1);
y1=y(ii==1);
[f1,xx,bw]=ksdensity(y1,pts);
[f1,xx,bw]=ksdensity(y1,pts,'bandwidth',1.5*bw);

ii=(x==0).*(d==1);
y0=y(ii==1);
[f0,xx,bw]=ksdensity(y0,pts);
[f0,xx,bw]=ksdensity(y0,pts,'bandwidth',1.5*bw);

figure
p=plot(xx,p1*f1,'k',xx,p0*f0,'r',xx-0.18,p0*f0,'--r')
set(p(1),'linewidth',1.8);
set(p(2),'linewidth',1.8);
set(p(3),'linewidth',1.8);
ano1=annotation('textarrow',[0.33 0.39],[0.68 0.68],'Color','black','String','Mexican ')
ano1.FontSize=18;
ano0=annotation('textarrow',[0.68 0.62],[0.50 0.50],'Color','red','String','White')
ano0.FontSize=18;
hXL=xlabel('log(Wage)','fontsize',14);
set(gca, 'box', 'off','ycolor','w')
set(gca,'ytick',[])
set(gca,'PlotBoxAspectRatio',[1.6 1 1])
saveas(gcf,'X:\research\Hu\Hu11\Draft\Revision2\Figures\UnivariateMen.png')

