
addpath('Routines')

lbl={'WOMEN' 'MEN'};

for iii=1:2

    load(strcat('dat_',lbl{iii}));
    load(strcat('datnames_',lbl{iii}));

    selvars={'year' 'less_7' 'hs'};
    x=getvariables(dat,datnames,selvars);
    ii=(x(:,1)>2002)&(x(:,2)==0)&(x(:,3)==1);
    dat=dat(ii,:);

    ynames={'wage_real'};
    dnames={'wagesmpl'};
    xnames={'mexican' };

    x=getvariables(dat,datnames,xnames);
    y=getvariables(dat,datnames,ynames);
    d=getvariables(dat,datnames,dnames);
    miny=min(y);
    maxy=max(y);


    ym=y(x==1);
    dm=d(x==1);
    yw=y(x==0);
    dw=d(x==0);

    pm=mean(dm);
    pw=mean(dw);
    if pm<pw
        stop
    end

    meanw=mean(yw(dw==1));
    meanm=mean(ym(dm==1));
    fprintf('\n\nDifference in Means For ');
    fprintf(lbl{iii});
    fprintf(' %7.3f\n',meanm-meanw);

    nm=length(ym);
    nn=round(nm*pw);

    yy=ym;
    yy(dm==0)=miny-10000000000000;
    yy=sort(yy);
    ub=mean(yy(nm-nn+1:nm));

    yy=ym;
    yy(dm==0)=maxy+10000000000000;
    yy=sort(yy);
    lb=mean(yy(1:nn));

    fprintf('\nLee Bounds For ')
    fprintf(lbl{iii})
    fprintf(' ( %7.3f ,%7.3f) \n',lb-meanw,ub-meanw)
end

% **************************




