clear
addpath('Routines')

load RegressionResultsWomen2b15000Rev2;

[blogit,slogit,flogit,Hlogit,Vlogit,scoreslogit]=estimate_logit(d,x);
gamma_hat=blogit(1:length(blogit))/blogit(1);
xg=x*gamma_hat;
bw=0.2*std(xg(d==1));
x2=x(:,2:size(x,2)-1);
a2=PeterRobinson(y(d==1),x2(d==1,:),xg(d==1), bw);

bhat=bbcv(find(f(:,1)>-1));
b1=bhat(1);
b2=bhat(length(bhat));

bhat1=[b1; a2+gamma_hat(2:length(gamma_hat)-1)*b1];
bhat2=[b2; a2+gamma_hat(2:length(gamma_hat)-1)*b2];

bhatWomen2b=[min([bhat1 bhat2],[],2) max([bhat1 bhat2],[],2)];

load RegressionResultsMen2b15000Rev2;

[blogit,slogit,flogit,Hlogit,Vlogit,scoreslogit]=estimate_logit(d,x);
gamma_hat=blogit(1:length(blogit))/blogit(1);
xg=x*gamma_hat;
bw=0.2*std(xg(d==1));
x2=x(:,2:size(x,2)-1);
a2=PeterRobinson(y(d==1),x2(d==1,:),xg(d==1), bw);

bhat=bbcv(find(f(:,1)>-1));
b1=bhat(1);
b2=bhat(length(bhat));

bhat1=[b1; a2+gamma_hat(2:length(gamma_hat)-1)*b1];
bhat2=[b2; a2+gamma_hat(2:length(gamma_hat)-1)*b2];

bhatMen2b=[min([bhat1 bhat2],[],2) max([bhat1 bhat2],[],2)];

