cd "L:\Hu11\empirical\Replication Files\Stata"
clear
clear all
clear mata
program drop _all
cap log close
cap log using SummaryStatisticsBoth.log, replace

local rnames wage_real wagesmpl mexican age  exp  less_hs  some_college college masters  vet marital calif arizo texas


* Read in the data
 use "mora_expanded_02_01_WOMEN.dta", clear

drop if year<2003 | less_7==1

keep `rnames'

outreg2 using SummStats_Table if mexican==1, replace sum(log) dec(2)
outreg2 using SummStats_Table if mexican==0, append sum(log) dec(2)

use "mora_expanded_02_01_MEN.dta", clear



drop if year<2003 | less_7==1

keep `rnames'


outreg2 using SummStats_Table if mexican==1, append sum(log) dec(2) 
outreg2 using SummStats_Table if mexican==0, append sum(log) dec(2) tex

cap log close
